=== debian/changelog ===
rcheevos (10.6.0-1) unstable; urgency=medium

  * New upstream release
  * Update gbp.conf to ease import-orig calls

 -- Jonathan McDowell <noodles@earth.li>  Fri, 03 Feb 2023 10:12:05 +0000

rcheevos (10.5.0-2) unstable; urgency=medium

  * Acknowledge Aladdin Enterprises copyright for src/rhash/md5.*
  * Add watch file
  * Add an initial gbp.conf setting Debian branch to main

 -- Jonathan McDowell <noodles@earth.li>  Fri, 27 Jan 2023 10:57:59 +0000

rcheevos (10.5.0-1) unstable; urgency=low

  * Initial release (Closes: #1027427)

 -- Jonathan McDowell <noodles@earth.li>  Thu, 12 Jan 2023 08:56:29 +0000
