=== debian/control ===
Source: rcheevos
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper-compat (=13)
Build-Depends-Arch: retroarch-dev
Standards-Version: 4.6.2
Homepage: https://github.com/RetroAchievements/rcheevos
Vcs-Browser: https://salsa.debian.org/games-team/rcheevos
Vcs-Git: https://salsa.debian.org/games-team/rcheevos.git
Rules-Requires-Root: no

Package: librcheevos-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RetroAchievements helper library for game emulators
 rcheevos is a set of C code, or a library if you will, that tries to make it
 easier for emulators to process RetroAchievements data, providing support for
 achievements and leader boards for their players.
 .
 Keep in mind that rcheevos does not provide HTTP network connections. Clients
 must get data from RetroAchievements, and pass the response down to rcheevos
 for processing.
 .
 Not all structures defined by rcheevos can be created via the public API, but
 are exposed to allow interactions beyond just creation, destruction, and
 testing, such as the ones required by UI code that helps to create them.
 .
 Finally, rcheevos does not allocate or manage memory by itself. All structures
 that can be returned by it have a function to determine the number of bytes
 needed to hold the structure, and another one that actually builds the
 structure using a caller-provided buffer to bake it.
 .
 It is currently only available as a static library.
