=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/[vV]?(\d\S+).tar\.gz/rcheevos-$1\.tar\.gz/" \
https://github.com/RetroAchievements/rcheevos/tags .*/[vV]?(\d[^\s+-]+)\.tar\.gz
