=== debian/changelog ===
rcheevos (10.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan McDowell <noodles@earth.li>  Fri, 14 Jul 2023 09:39:34 +0000

rcheevos (10.7.0-1) unstable; urgency=medium

  * New upstream release
  * Set Multi-Arch same on librcheevos-dev

 -- Jonathan McDowell <noodles@earth.li>  Sun, 25 Jun 2023 11:16:41 +0000
