=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 
 Package: librcheevos-dev
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: RetroAchievements helper library for game emulators
  rcheevos is a set of C code, or a library if you will, that tries to make it
