## rcheevos 11.2.0

=== test/Makefile ===
--- 
+++ 
@@ -1,13 +1,15 @@
 # supported parameters
 #  ARCH          architecture - "x86" or "x64" [detected if not set]
-#  BUILD         use flags for specified upstream consumer - "c89" or "retroarch" [default to "c89]
+#  BUILD         use flags for specified upstream consumer - "c89" or "retroarch" [default to "c89"]
 #  DEBUG         if set to anything, builds with DEBUG symbols
 #  HAVE_LUA      if set to anything, includes the lua functionality
-
-RC_SRC=../src/rcheevos
-RC_URL_SRC=../src/rurl
-RC_HASH_SRC=../src/rhash
-RC_API_SRC=../src/rapi
+#  HAVE_HASH     if set to 0, excludes the hash functionality
+
+RC_SRC=../src
+RC_CHEEVOS_SRC=$(RC_SRC)/rcheevos
+RC_URL_SRC=$(RC_SRC)/rurl
+RC_HASH_SRC=$(RC_SRC)/rhash
+RC_API_SRC=$(RC_SRC)/rapi
 LUA_SRC=lua/src
 
 # default parameter values
@@ -36,24 +38,24 @@
 endif
 
 # source files
-OBJ=$(RC_SRC)/alloc.o \
-    $(RC_SRC)/compat.o \
-    $(RC_SRC)/condition.o \
-    $(RC_SRC)/condset.o \
-    $(RC_SRC)/consoleinfo.o \
-    $(RC_SRC)/format.o \
-    $(RC_SRC)/lboard.o \
-    $(RC_SRC)/memref.o \
-    $(RC_SRC)/operand.o \
-    $(RC_SRC)/rc_libretro.o \
-    $(RC_SRC)/rc_validate.o \
-    $(RC_SRC)/richpresence.o \
-    $(RC_SRC)/runtime.o \
-    $(RC_SRC)/runtime_progress.o \
-    $(RC_SRC)/trigger.o \
-    $(RC_SRC)/value.o \
-    $(RC_HASH_SRC)/cdreader.o \
-    $(RC_HASH_SRC)/hash.o \
+OBJ=$(RC_SRC)/rc_compat.o \
+    $(RC_SRC)/rc_client.o \
+    $(RC_SRC)/rc_util.o \
+    $(RC_SRC)/rc_version.o \
+    $(RC_CHEEVOS_SRC)/alloc.o \
+    $(RC_CHEEVOS_SRC)/condition.o \
+    $(RC_CHEEVOS_SRC)/condset.o \
+    $(RC_CHEEVOS_SRC)/consoleinfo.o \
+    $(RC_CHEEVOS_SRC)/format.o \
+    $(RC_CHEEVOS_SRC)/lboard.o \
+    $(RC_CHEEVOS_SRC)/memref.o \
+    $(RC_CHEEVOS_SRC)/operand.o \
+    $(RC_CHEEVOS_SRC)/rc_validate.o \
+    $(RC_CHEEVOS_SRC)/richpresence.o \
+    $(RC_CHEEVOS_SRC)/runtime.o \
+    $(RC_CHEEVOS_SRC)/runtime_progress.o \
+    $(RC_CHEEVOS_SRC)/trigger.o \
+    $(RC_CHEEVOS_SRC)/value.o \
     $(RC_HASH_SRC)/md5.o \
     $(RC_URL_SRC)/url.o \
     $(RC_API_SRC)/rc_api_common.o \
@@ -68,7 +70,6 @@
     rcheevos/test_lboard.o \
     rcheevos/test_memref.o \
     rcheevos/test_operand.o \
-    rcheevos/test_rc_libretro.o \
     rcheevos/test_rc_validate.o \
     rcheevos/test_richpresence.o \
     rcheevos/test_runtime.o \
@@ -76,20 +77,17 @@
     rcheevos/test_trigger.o \
     rcheevos/test_value.o \
     rurl/test_url.o \
-    rhash/data.o \
-    rhash/mock_filereader.o \
-    rhash/test_cdreader.o \
-    rhash/test_hash.o \
     rapi/test_rc_api_common.o \
     rapi/test_rc_api_editor.o \
     rapi/test_rc_api_info.o \
     rapi/test_rc_api_runtime.o \
     rapi/test_rc_api_user.o \
+    test_rc_client.o \
     test.o
 
 # compile flags
 CFLAGS=-Wall -Wno-long-long -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
-INCLUDES=-I../include -I$(RC_SRC) -I.
+INCLUDES=-I../include -I$(RC_CHEEVOS_SRC) -I.
 
 ifeq ($(ARCH), x86)
     CFLAGS += -m32
@@ -110,16 +108,41 @@
 endif
 
 # more strict validation for source files to eliminate warnings/errors in upstream consumers
+# -Wextra includes -Wsign-compare -Wtype-limits -Wimplicit-fallthrough=3 -Wunused-parameter and more
+# -pedantic issues errors when using GNU extensions or other things that are not strictly ISO C
+SRC_CFLAGS=-Wextra -pedantic
 # 3DS build (retroarch) doesn't support signed char
-SRC_CFLAGS=-pedantic -Wsign-compare -fno-signed-char
+SRC_CFLAGS += -fno-signed-char
 
 ifeq ($(BUILD), c89)
     CFLAGS += -std=c89
+else ifeq ($(BUILD), c99)
+    CFLAGS += -std=c99
 else ifeq ($(BUILD), retroarch)
     # RetroArch builds with gcc8 and gnu99 which adds some extra warning validations
-    SRC_CFLAGS += -std=gnu99 -D_GNU_SOURCE -Wall -Warray-bounds=2
+    SRC_CFLAGS += -std=gnu99 -D_GNU_SOURCE -Wall -Warray-bounds=2 -Wincompatible-pointer-types
+    # Also include the RC_CLIENT_SUPPORTS_EXTERNAL flag to ensure we do the full level of validation on the
+    # most code. The c89 build will ensure things still build without the RC_CLIENT_SUPPORTS_EXTERNAL flag.
+    CFLAGS += -DRC_CLIENT_SUPPORTS_EXTERNAL
+    OBJ += test_rc_client_external.o
 else
     $(error unknown BUILD "$(BUILD)")
+endif
+
+# support for building without hash subdirectory
+ifeq ($(HAVE_HASH), 0)
+    EXTRA += |NO_HASH
+else
+    CFLAGS += -DRC_CLIENT_SUPPORTS_HASH
+    OBJ += $(RC_HASH_SRC)/aes.o \
+           $(RC_HASH_SRC)/cdreader.o \
+           $(RC_HASH_SRC)/hash.o \
+           $(RC_SRC)/rc_libretro.o \
+           rhash/data.o \
+           rhash/mock_filereader.o \
+           rhash/test_cdreader.o \
+           rhash/test_hash.o \
+           test_rc_libretro.o
 endif
 
 # LUA support
@@ -153,6 +176,9 @@
 $(RC_SRC)/%.o: $(RC_SRC)/%.c
 	$(CC) $(CFLAGS) $(SRC_CFLAGS) $(INCLUDES) -c $< -o $@
 
+$(RC_CHEEVOS_SRC)/%.o: $(RC_CHEEVOS_SRC)/%.c
+	$(CC) $(CFLAGS) $(SRC_CFLAGS) $(INCLUDES) -c $< -o $@
+
 $(RC_HASH_SRC)/%.o: $(RC_HASH_SRC)/%.c
 	$(CC) $(CFLAGS) $(SRC_CFLAGS) $(INCLUDES) -c $< -o $@
