=== debian/changelog ===
rcheevos (11.2.0-1build1) oracular; urgency=medium

  * Rebuild against new gcc-14.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Aug 2024 13:23:46 +0200

rcheevos (11.2.0-1) unstable; urgency=medium

  * New upstream release
    * Update debian/copyright
  * Bump Standards-Version to 4.7.0

 -- Jonathan McDowell <noodles@earth.li>  Fri, 19 Apr 2024 09:16:14 +0100
