## rcheevos 11.5.0

=== debian/changelog ===
rcheevos (11.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan McDowell <noodles@earth.li>  Mon, 30 Sep 2024 22:08:05 +0100
