## rcheevos 11.6.0

=== test/Makefile ===
--- 
+++ 
@@ -110,7 +110,7 @@
 # more strict validation for source files to eliminate warnings/errors in upstream consumers
 # -Wextra includes -Wsign-compare -Wtype-limits -Wimplicit-fallthrough=3 -Wunused-parameter and more
 # -pedantic issues errors when using GNU extensions or other things that are not strictly ISO C
-SRC_CFLAGS=-Wextra -pedantic
+SRC_CFLAGS=-Wextra -Wshadow -pedantic
 # 3DS build (retroarch) doesn't support signed char
 SRC_CFLAGS += -fno-signed-char
