=== debian/changelog ===
rcheevos (11.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan McDowell <noodles@earth.li>  Sun, 22 Dec 2024 13:12:55 +0000
