=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jonathan McDowell <noodles@earth.li>
 Build-Depends: debhelper-compat (=13)
 Build-Depends-Arch: retroarch-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/RetroAchievements/rcheevos
 Vcs-Browser: https://salsa.debian.org/games-team/rcheevos
 Vcs-Git: https://salsa.debian.org/games-team/rcheevos.git
