## rcheevos 12.2.1

=== debian/changelog ===
rcheevos (12.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Sébastien Noel <sebastien@twolife.be>  Mon, 19 Jan 2026 08:19:17 +0100
