=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: rcheevos
 Section: libs
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jonathan McDowell <noodles@earth.li>
 Build-Depends: debhelper-compat (=13)
 Build-Depends-Arch: retroarch-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/RetroAchievements/rcheevos
 Vcs-Browser: https://salsa.debian.org/games-team/rcheevos
 Vcs-Git: https://salsa.debian.org/games-team/rcheevos.git
-Rules-Requires-Root: no
 
 Package: librcheevos-dev
+Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
